#! /bin/sh

AnthyDir=${0%/*}
DestDir=/boot/home/config/add-ons/input_server/methods

# Anthy のインストール

mkdir -p $DestDir
ln -s -f $AnthyDir/Anthy $DestDir

# Lib Anthy のインストール

$AnthyDir/LibAnthy/InstallLibAnthy.sh

# 学習情報の削除

alert "学習情報を削除しますか？　　　　　　　　　　　　※漢字変換するたびに input server が強制終了するようになってしまった場合は削除してください。" "いいえ" "はい"
Result=$?

if [ $Result -eq 1 ]
then
	rm -r /boot/home/config/settings/SHINTA/LibAnthy/.anthy
fi

alert "Anthy を有効にするために、Haiku を再起動してください。"

exit

# Anthy 起動（input server を終了させると異常終了してしまうので、現在は無効にしてある）

alert "input server と Deskbar を再起動してすぐに Anthy を使えるようにしますか？"  "いいえ" "はい"
Result=$?

if [ $Result -eq 1 ]
then
	hey input_server QUIT
	hey Deskbar QUIT
	sleep 1
	/boot/beos/system/Deskbar &
fi

